API Reference
Agents
List and retrieve agents in your organisation.
List agents
GET /agentsReturns all agents who have access to your organisation.
Response
{
"data": [
{
"id": 7,
"name": "Sarah",
"email": "sarah@yourcompany.com",
"availability": "online",
"role": "agent",
"avatar": "https://assets.kerabie.com/avatars/7.png"
}
]
}Get an agent
GET /agents/:idAgent availability
Agents set their own availability from the dashboard or mobile app. The availability field is one of:
| Value | Meaning |
|---|---|
online | Available to receive conversations |
away | Temporarily unavailable |
busy | In a conversation, prefer not to be assigned |
offline | Not logged in or signed out |